datacache <- new.env(hash=TRUE, parent=emptyenv())

nugomm1a520177mmug <- function() showQCData("nugomm1a520177mmug", datacache)
nugomm1a520177mmug_dbconn <- function() dbconn(datacache)
nugomm1a520177mmug_dbfile <- function() dbfile(datacache)
nugomm1a520177mmug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
nugomm1a520177mmug_dbInfo <- function() dbInfo(datacache)

nugomm1a520177mmugORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "nugomm1a520177mmug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "nugomm1a520177mmug", "chip nugomm1a520177mmug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(nugomm1a520177mmug_dbconn())
}

